Table of Contents

Class: FontDialogWizardDialog | eric3/Wizards/FontDialogWizard/FontDialogWizardDialog.py
--- | ---

### Module implementing the font dialog wizard dialog.

It displays a dialog for entering the parameters for the QFontDialog code generator.

Base Classes |
--- | ---
FontDialogWizardForm

Methods |
--- | ---
__init__ getCode handleSelectFont handleVar testDlg
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| getCode

    getCode (
            self,
            indLevel,
            indString,
            )

### Public method to get the source code.

#### Arguments

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

#### Returns

generated code (string)

| handleSelectFont

    handleSelectFont ( self )

Private slot to handle the button press to select a font via a font selection dialog.

| handleVar

    handleVar ( self,  text )

### Private slot to handle the textChanged signal of eVariable.

#### Arguments

text
  the new text (QString)

| testDlg

    testDlg ( self )

Private method to test the selected options.

Table of Contents

This document was automatically generated by HappyDoc version 2.1